## ros-kinetic-dsr-example-cpp 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dsr_example_cpp)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  dsr_msgs  
  serial
)

catkin_package(
#   INCLUDE_DIRS include
#  LIBRARIES dr_example
   CATKIN_DEPENDS roscpp std_msgs serial
#  DEPENDS system_lib
)


SET( COMMON_INC_FILES
  ../../common/include
)
SET( COMMON_SRC_FILES
  ../../common/src/dsr_robot.cpp
)

include_directories(
  include  
  ${catkin_INCLUDE_DIRS}
  ${COMMON_INC_FILES}
)

#---- basic src --------------------------
SET( SRC_FILES_BASIC_TEST
  ${COMMON_SRC_FILES}
  src/basic/dsr_basic_test.cpp
)
SET( SRC_FILES_MOTION_BASIC
  ${COMMON_SRC_FILES}
  src/basic/dsr_service_motion_basic.cpp
)
SET( SRC_FILES_MODBUS_BASIC
  ${COMMON_SRC_FILES}
  src/basic/dsr_service_modbus_basic.cpp
)
SET( SRC_FILES_DRL_BASIC
  ${COMMON_SRC_FILES}
  src/basic/dsr_service_drl_basic.cpp
)
SET( SRC_FILES_IO_BASIC
  ${COMMON_SRC_FILES}
  src/basic/dsr_service_io_basic.cpp
)
SET( SRC_FILES_SINGLE_ROBOT_BASIC
  ${COMMON_SRC_FILES}
  src/basic/single_robot_basic.cpp
)

#---- simple src --------------------------
SET( SRC_SIMPLE_TEST
  ${COMMON_SRC_FILES}
  src/simple/dsr_simple_test.cpp
)
SET( SRC_FILES_MOTION_SIMPLE
  ${COMMON_SRC_FILES}
  src/simple/dsr_service_motion_simple.cpp
)
SET( SRC_FILES_MODBUS_SIMPLE
  ${COMMON_SRC_FILES}
  src/simple/dsr_service_modbus_simple.cpp
)
SET( SRC_FILES_IO_SIMPLE
  ${COMMON_SRC_FILES}
  src/simple/dsr_service_io_simple.cpp
)
SET( SRC_FILES_DRL_SIMPLE
  ${COMMON_SRC_FILES}
  src/simple/dsr_service_drl_simple.cpp
)
SET( SRC_FILES_SINGLE_ROBOT_SIMPLE
  ${COMMON_SRC_FILES}
  src/simple/single_robot_simple.cpp
)

#---- gripper src --------------------------
SET( SRC_SIMPLE_PICK_AND_PLACE
  ${COMMON_SRC_FILES}
  src/gripper/pick_and_place_simple.cpp
)

SET( SRC_SIMPLE_REAL_PICK_AND_PLACE
  ${COMMON_SRC_FILES}
  src/gripper/real_pick_and_place_simple.cpp
)

SET( SRC_SIMPLE_OBJECT_PICK_AND_PLACE
  ${COMMON_SRC_FILES}
  src/gripper/object_pick_and_place_simple.cpp
)

SET( SRC_FILES_SERIAL_EXAMPLE_NODE
  ${COMMON_SRC_FILES}
  src/gripper/serial_example_node.cpp
)

#---- mobile src --------------------------
SET( SRC_FILES_SINGLE_ROBOT_MOBILE
  ${COMMON_SRC_FILES}
  src/mobile/single_robot_mobile.cpp
)
SET( SRC_FILES_MULTI_ROBOT_MOBILE
  ${COMMON_SRC_FILES}
  src/mobile/multi_robot_mobile.cpp
)
SET( SRC_FILES_SINGLE_ROBOT_MOBILE_CIRCLE
  ${COMMON_SRC_FILES}
  src/mobile/single_robot_mobile_circle.cpp
)



#---- demo src -----------------------------
SET( SRC_SIMPLE_DANCE_M1013
  ${COMMON_SRC_FILES}
  src/demo/dance_m1013.cpp
)
SET( SRC_MULTI_M1013x2
  ${COMMON_SRC_FILES}
  src/demo/m1013x2.cpp
)
SET( SRC_MULTI_M1013x2_NO_SYNC
  ${COMMON_SRC_FILES}
  src/demo/m1013x2_no_sync.cpp
)
SET( SRC_MULTI_M1013x2_SYNC
  ${COMMON_SRC_FILES}
  src/demo/m1013x2_sync.cpp
)
SET( SRC_MULTI_M1013x2_SYNC2
  ${COMMON_SRC_FILES}
  src/demo/m1013x2_sync2.cpp
)
SET( SRC_FILES_MULTI_ROBOT
  ${COMMON_SRC_FILES}
  src/demo/multi_robot.cpp
)

#----- basic --------------------------------------------------------------------------------------------
add_executable(dsr_basic_test ${SRC_FILES_BASIC_TEST})
add_dependencies(dsr_basic_test ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_basic_test ${catkin_LIBRARIES})

add_executable(dsr_service_drl_basic ${SRC_FILES_DRL_BASIC})
add_dependencies(dsr_service_drl_basic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_drl_basic ${catkin_LIBRARIES})

add_executable(dsr_service_io_basic ${SRC_FILES_IO_BASIC})
add_dependencies(dsr_service_io_basic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_io_basic ${catkin_LIBRARIES})

add_executable(dsr_service_modbus_basic ${SRC_FILES_MODBUS_BASIC})
add_dependencies(dsr_service_modbus_basic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_modbus_basic ${catkin_LIBRARIES})

add_executable(dsr_service_motion_basic ${SRC_FILES_MOTION_BASIC})
add_dependencies(dsr_service_motion_basic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_motion_basic ${catkin_LIBRARIES})

add_executable(single_robot_basic ${SRC_FILES_SINGLE_ROBOT_BASIC})
add_dependencies(single_robot_basic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(single_robot_basic ${catkin_LIBRARIES})

#----- simple ---------------------------------------------------------------------------------------------
add_executable(dance_m1013 ${SRC_SIMPLE_DANCE_M1013})
add_dependencies(dance_m1013 ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dance_m1013 ${catkin_LIBRARIES})

add_executable(dsr_service_drl_simple ${SRC_FILES_DRL_SIMPLE})
add_dependencies(dsr_service_drl_simple ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_drl_simple ${catkin_LIBRARIES})

add_executable(dsr_service_io_simple ${SRC_FILES_IO_SIMPLE})
add_dependencies(dsr_service_io_simple ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_io_simple ${catkin_LIBRARIES})

add_executable(dsr_service_modbus_simple ${SRC_FILES_MODBUS_SIMPLE})
add_dependencies(dsr_service_modbus_simple ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_modbus_simple ${catkin_LIBRARIES})

add_executable(dsr_service_motion_simple ${SRC_FILES_MOTION_SIMPLE})
add_dependencies(dsr_service_motion_simple ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_service_motion_simple ${catkin_LIBRARIES})

add_executable(dsr_simple_test ${SRC_SIMPLE_TEST})
add_dependencies(dsr_simple_test ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(dsr_simple_test ${catkin_LIBRARIES})

add_executable(single_robot_simple ${SRC_FILES_SINGLE_ROBOT_SIMPLE})
add_dependencies(single_robot_simple ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(single_robot_simple ${catkin_LIBRARIES})

#----- Gripper ----------------------------------------------------------------------------------------
add_executable(pick_and_place ${SRC_SIMPLE_PICK_AND_PLACE})
add_dependencies(pick_and_place ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(pick_and_place ${catkin_LIBRARIES})

add_executable(real_pick_and_place ${SRC_SIMPLE_REAL_PICK_AND_PLACE})
add_dependencies(real_pick_and_place ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(real_pick_and_place ${catkin_LIBRARIES})

add_executable(object_pick_and_place ${SRC_SIMPLE_OBJECT_PICK_AND_PLACE})
add_dependencies(object_pick_and_place ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(object_pick_and_place ${catkin_LIBRARIES})

add_executable(serial_example_node ${SRC_FILES_SERIAL_EXAMPLE_NODE})
add_dependencies(serial_example_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(serial_example_node ${catkin_LIBRARIES})

#----- mobile -----------------------------------------------------------------------------------------
add_executable(single_robot_mobile ${SRC_FILES_SINGLE_ROBOT_MOBILE})
add_dependencies(single_robot_mobile ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(single_robot_mobile ${catkin_LIBRARIES})

add_executable(multi_robot_mobile ${SRC_FILES_MULTI_ROBOT_MOBILE})
add_dependencies(multi_robot_mobile ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(multi_robot_mobile ${catkin_LIBRARIES})

add_executable(single_robot_mobile_circle ${SRC_FILES_SINGLE_ROBOT_MOBILE_CIRCLE})
add_dependencies(single_robot_mobile_circle ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(single_robot_mobile_circle ${catkin_LIBRARIES})



#----- demo -------------------------------------------------------------------------------------------
add_executable(m1013x2 ${SRC_MULTI_M1013x2})
add_dependencies(m1013x2 ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(m1013x2 ${catkin_LIBRARIES})

add_executable(m1013x2_no_sync ${SRC_MULTI_M1013x2_NO_SYNC})
add_dependencies(m1013x2_no_sync ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(m1013x2_no_sync ${catkin_LIBRARIES})

add_executable(m1013x2_sync ${SRC_MULTI_M1013x2_SYNC})
add_dependencies(m1013x2_sync ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(m1013x2_sync ${catkin_LIBRARIES})

add_executable(m1013x2_sync2 ${SRC_MULTI_M1013x2_SYNC2})
add_dependencies(m1013x2_sync2 ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(m1013x2_sync2 ${catkin_LIBRARIES})

add_executable(multi_robot ${SRC_FILES_MULTI_ROBOT})
add_dependencies(multi_robot ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(multi_robot ${catkin_LIBRARIES})

=== debian/changelog ===
ros-kinetic-dsr-example-cpp (0.9.6-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Doosan Robotics <ros.robotics@doosan.com>  Mon, 22 Apr 2019 01:56:08 -0000

ros-kinetic-dsr-example-cpp (0.9.5-1xenial) xenial; urgency=high

  * add dsr_msgs
  * 20190403 update
  * 20190403 update
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 21 Apr 2019 15:00:00 -0000

ros-kinetic-dsr-example-cpp (0.9.4-1xenial) xenial; urgency=high

  * Emulator commit
  * example added
  * Contributors: doosan-robotics

 -- Doosan Robotics <ros.robotics@doosan.com>  Sun, 31 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-example-cpp (0.9.3-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-dsr-example-cpp (0.9.1-1xenial) xenial; urgency=high



 -- Doosan Robotics <ros.robotics@doosan.com>  Tue, 26 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-dsr-example-cpp
Section: misc
Priority: extra
Maintainer: Doosan Robotics <ros.robotics@doosan.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dsr-msgs, ros-kinetic-roscpp, ros-kinetic-serial, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/doosan_robotics
Standards-Version: 3.9.2

Package: ros-kinetic-dsr-example-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dsr-msgs, ros-kinetic-roscpp, ros-kinetic-serial, ros-kinetic-std-msgs
Description: The dsr_example C++ package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-dsr-example-cpp//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
